package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.Unit;
import com.ruoyi.system.mapper.UnitMapper;
import com.ruoyi.system.service.IUnitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层实现
 *
 * @author ruoyi
 */
@Service
@DataSource(value = DataSourceType.SLAVE)
public class UnitServiceImpl extends ServiceImpl<UnitMapper, Unit> implements IUnitService {
    @Autowired
    private UnitMapper unitMapper;

    public List<Unit> listS() {
        List lst = unitMapper.selectList(new QueryWrapper<Unit>());
        return lst;
    }

    @Override
    public Unit findOne(LambdaQueryWrapper<Unit> eq) {
        return unitMapper.selectOne(eq);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void Save(Unit vo) {
        unitMapper.insert(vo);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveOrUpdate(Unit entity) {
        return super.saveOrUpdate(entity);
    }


    @Override
    public Integer selectCount(Wrapper<Unit> queryWrapper) {
        return unitMapper.selectCount(queryWrapper);
    }
}
